import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.number().int().optional(),
  patientId: z.number().int(),
  stage: z.string().optional(),
  aiHandoff: z.boolean().optional(),
  updatedAt: z.coerce.date().optional()
}).strict();
export const PatientConversationCreateManyUserInputObjectSchema: z.ZodType<Prisma.PatientConversationCreateManyUserInput> = makeSchema() as unknown as z.ZodType<Prisma.PatientConversationCreateManyUserInput>;
export const PatientConversationCreateManyUserInputObjectZodSchema = makeSchema();
